publi ycommand
CREATE CURSOR YCOORD (nx  n(4.0),ny n(4.0) )
oform=createobject("yetoiles")
oform.show
read events
return
**************************************************
*-- Class Library:  c:\yvfp\ytestapi\yetoiles.vcx
**************************************************


**************************************************
*-- Class:        yetoiles (c:\yvfp\ytestapi\yetoiles.vcx)
*-- ParentClass:  form
*-- BaseClass:    form
*-- etoiles avec vfp6.0/gdi+
*
DEFINE CLASS yetoiles AS form


	Top = 0
	Left = 0
	Height = 461
	Width = 640
	ShowWindow = 2
	DoCreate = .T.
	Caption = "TRACE ETOILES     B.YOUSFI 05/2006"
	WindowState = 2
	BackColor = RGB(0,0,0)
	Name = "Form1"


	ADD OBJECT command1 AS commandbutton WITH ;
		AutoSize = .T., ;
		Top = 21, ;
		Left = 74, ;
		Height = 27, ;
		Width = 34, ;
		Caption = "Go", ;
		TabIndex = 2, ;
		Name = "Command1"


	ADD OBJECT text1 AS textbox WITH ;
		ControlSource = "nbr", ;
		Height = 23, ;
		InputMask = "999", ;
		Left = 12, ;
		TabIndex = 1, ;
		Top = 24, ;
		Width = 60, ;
		Name = "Text1"


	ADD OBJECT label1 AS label WITH ;
		AutoSize = .T., ;
		Alignment = 1, ;
		BackStyle = 0, ;
		Caption = "Etoile n Branches", ;
		Height = 17, ;
		Left = 12, ;
		Top = 0, ;
		Width = 99, ;
		TabIndex = 5, ;
		ForeColor = RGB(255,255,255), ;
		Name = "Label1"


	ADD OBJECT text2 AS textbox WITH ;
		ControlSource = "r", ;
		Height = 23, ;
		Left = 12, ;
		Top = 65, ;
		Width = 60, ;
		Name = "Text2"


	ADD OBJECT label2 AS label WITH ;
		AutoSize = .T., ;
		Alignment = 1, ;
		BackStyle = 0, ;
		Caption = "Rayon (px)", ;
		Height = 17, ;
		Left = 12, ;
		Top = 50, ;
		Width = 60, ;
		TabIndex = 5, ;
		ForeColor = RGB(255,255,255), ;
		Name = "Label2"


	ADD OBJECT text3 AS textbox WITH ;
		ControlSource = "pr", ;
		Height = 23, ;
		Left = 12, ;
		Top = 108, ;
		Width = 60, ;
		Name = "Text3"


	ADD OBJECT label3 AS label WITH ;
		AutoSize = .T., ;
		Alignment = 1, ;
		BackStyle = 0, ;
		Caption = "pRayon (px)", ;
		Height = 17, ;
		Left = 12, ;
		Top = 91, ;
		Width = 67, ;
		TabIndex = 5, ;
		ForeColor = RGB(255,255,255), ;
		Name = "Label3"


	PROCEDURE Init
		set curs off
		*publi nbr,r
		nbr=15
		r=200
		pr=95
		thisform.text1.setfocus
	ENDPROC


	PROCEDURE command1.Click
		sele ycoord
		set safe off
		zap 
		set safe on

		nbr=thisform.text1.value
		r=thisform.text2.value
		pr=thisform.text3.value

		thisform.cls
		thisform.drawwidth=1
		thisform.forecolor=rgb(0,0,255)


		xc=thisform.width/2
		yc=thisform.height/2

		for i=1 to r/2 step r/10
		thisform.circle(i,xc,yc)
		endfor

		thisform.drawwidth=4
		thisform.forecolor=255

		for i=0 to 2*pi() step 2*pi()/nbr
		x=xc+r*cos(i-pi()/2)
		y=yc+r*sin(i-pi()/2)
		thisform.pset(x,y)
		sele ycoord
		appe blan
		repl nx with x,ny with y

		thisform.forecolor=255
		thisform.line(xc,yc,x,y)

		
		x1=xc+pr*cos(i-pi()/2+pi()/nbr)
		y1=yc+pr*sin(i-pi()/2+pi()/nbr)
		thisform.forecolor=rgb(0,255,0)
		thisform.line(x1,y1,x,y)
		sele ycoord
		appe blan
		repl nx with x1,ny with y1
		inkey(0.1)
		endfor
		
		*******************************************************************************
		&&montage fichier polygon
		publi afile
		set safe off
		dele file c:\windows\temp\polygon*.prg

		zpolygon="c:\windows\temp\polygon"+sys(2015)+".prg"
		*messagebox("fichier prg  excuter (coller la commande sur fentre vfp+return) :"+zpolygon)
		_cliptext="do "+zpolygon
        ycommande='"'+_cliptext+'"'
		afile=getpict()
		if empty(afile)
		return
		endi
		messagebox("fichier prg  excuter (coller la commande sur fentre vfp+return) :"+zpolygon)
		x="afile='"+afile+"'"
		set textmerge on to &zpolygon  noshow


		\<<x>>
		text
		lcRoot = SYS(5) + SYS(2003)
		CD (lcRoot)
		SET DEFAULT TO (lcRoot)

		#include gpImage.h
		If Not "gpImage" $ Set("Procedure")
			Set Procedure To gpImage Additive
		EndIf

		lcSour = "tmp" + SYS(2015) + ".jpg"
		lcDest = "tmp" + SYS(2015) + ".jpg"

		black  = RGB(0,0,0)
		blue   = RGB(0,0,255)
		green  = RGB(0,255,0)
		cyan   = RGB(0,255,255)
		red    = RGB(255,0,0)
		pink   = RGB(255,0,255)
		yellow = RGB(255,255,0)
		white  = RGB(255,255,255)
		grey   = RGB(192,192,192)

		gdip = CreateObject("gpInit")
		img  = CreateObject("gpImage")

		** Creating and saving blank image
		img.Create(800,600)
		oGr = CreateObject("Graphics",img.getimage())

		endtext

		sele  ycoord
		*brow
		count to xx for not deleted()
		*xx=reccount()
		go top
		dimension  taintpoints(xx,2)
		i=1
		v=""
		do while not eof()
		if not deleted()
		taintpoints(i,1)=nx
		taintpoints(i,2)=ny

		v=v+"taintpoints("+allt(str(i))+",1)="+allt(str(nx))+chr(13)+"taintpoints("+allt(str(i))+",2)="+allt(str(ny))+chr(13)
		i=i+1

		endi
		skip
		enddo

		*messagebox(v)

		dimension taintpoints(i,2)
		v="dimension taintpoints("+allt(str(i-1))+",2)"+CHr(13) +v
		**********************

		\<<v>>
		text
		*** TEXTURE BRUSH
		
		oGr.SetTextureBrush(afile,0)
		ogr.FillPolygon(@taintPoints)
		*******************
		*** SAVE AND SHOW
		img.SaveAsJPEG(lcdest,100)

		LOCAL loForm as Form 
		loForm = CREATEOBJECT("yForm")
		WAIT WINDOW (lcdest) NOWAIT 
		loForm.imgImage.Picture = lcdest
		loForm.Show(1)

		RETURN


		*===========================
		DEFINE CLASS yForm as Form
		*===========================

		    Top  = 0
		    Left = 0
		    Width = 800
		    Height = 600
		    Caption = "FILLPOLYGON DE GPIMAGE.PRG   B.YOUSFI  12/2006"

		  ADD OBJECT imgImage as Image WITH ;
		    Top  = 0, ;
		    Left = 0, ;
		    Width = Thisform.Width, ; 
		    Height = Thisform.Height 

		    
		  PROCEDURE Init 
		  ENDPROC 
		  
		  PROCEDURE destroy
		  	oGr  = null
		  	img  = null
		  	gdip = null
		  	CLOSE ALL 
		  ENDPROC 
		  
		ENDDEFINE
		*********************************************************************
		endtext

		set textmerge to

		clea
		thisform.release
		

	ENDPROC


	PROCEDURE text3.Valid
		pr=thisform.text3.value
		if pr>0.8*thisform.text2.value
		messagebox("cette valeur doit tre infrieure  0.9*r !",0,"")
		return .f.
		else
		return .t.
		endi
	ENDPROC
procedure destroy
use
clea events
endproc

ENDDEFINE
*
*-- EndDefine: yetoiles
**************************************************
